<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.bonait.bnframework">

    <uses-sdk tools:overrideLibrary="com.aliyun.iot.breeze.biz,com.aliyun.iot.breeze.ota,     com.aliyun.iot.breeze.sdk,com.aliyun.iot.ble,com.aliyun.alink.linksdk.tmp" />
    <!-- 网络权限 -->
    <uses-permission android:name="android.permission.INTERNET" /> <!-- 网络连接 -->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" /> <!-- 获取网络连接状态 -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /> <!-- 写存储的权限 -->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" /> <!-- 读存储的权限 -->
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" /> <!-- 0未知来源的应用权限，更新App -->
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" /> <!-- 在SDCard中创建与删除文件权限 -->
    <uses-permission android:name="android.permission.ACCESS_DOWNLOAD_MANAGER" /> <!-- DownloadManager -->
    <uses-permission android:name="android.permission.RECORD_AUDIO" /> <!-- 录音权限 -->
    <uses-permission android:name="android.permission.RECORD_VIDEO" /> <!-- 录像权限 -->
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.USB_PERMISSION" />

    <application
        android:name=".MainApplication"
        android:allowBackup="true"
        android:hardwareAccelerated="false"
        android:icon="@mipmap/boluo"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:networkSecurityConfig="@xml/network_security_config"
        android:roundIcon="@mipmap/boluo"
        android:supportsRtl="true"
        android:usesCleartextTraffic="true"
        android:theme="@style/AppTheme"
        tools:ignore="GoogleAppIndexingWarning"
        tools:node="merge"
        tools:replace="android:icon">
        <activity
            android:name=".ShaomaActivity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.mode.Silos_item_fragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.SilosNewActivity"
            android:exported="false" />
        <activity
            android:name=".modules.mine.fragment.from.UserActivity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.from.fragment.JiaoYan_sdkz_fragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.ZdqxActivity"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.WdszActivity"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.DzcjyActivity"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.OrderListActivity"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.SalesStatisticsActivity"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.DeviceInformationActivity"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.ImageSourceActivity"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.SystemParameterActivity"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.fragment.PlcControl_kz_fragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.fragment.PlcControl_pz_fragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.RealTimeActivity"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.LogActivity"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.PlcControlActivity"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.GoodPeiFangActivity"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.fragment.Jcsjgl_sxgl_fragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.fragment.Jcsjgl_wl_fragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.JcsjglActivity"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.SheZhifragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.GuanLifragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.DingDanfragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.JiaoYanFragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.GongnengFragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.MakeGoodFragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.activity.BottomNavigationMainActivity"
            android:exported="false"
            android:launchMode="singleTask"
            android:windowSoftInputMode="stateHidden|stateAlwaysHidden"
          />
        <activity
            android:name=".modules.home.fragment.from.FileActivity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.from.ImageChooseActivity"
            android:exported="false" />
        <activity
            android:name=".modules.mine.fragment.from.NoticeActivity"
            android:exported="false" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/app_provider_paths" />
        </provider>

        <activity
            android:name=".modules.welcome.activity.WelcomeActivity"
            android:exported="true"
            android:theme="@style/AppTheme.Launcher">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name=".modules.welcome.activity.LoginActivity"></activity>


        <receiver
            android:name=".common.base.BootReceiver"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </receiver>

    </application>

</manifest>